#pragma once
#include "PresenterModel.h"
#include <QWidget>
#include <QTableView>
#include <QLineEdit>
#include <QPushButton>

class PresenterView : public QWidget
{
    Q_OBJECT
    private:
        PresenterModel* model;
        QTableView* view;
        QLineEdit* idEdit;
        QLineEdit* textEdit;
        QLineEdit* answerEdit;
        QLineEdit* scoreEdit;
        QPushButton* addButton;
        void initGUI();
        void connectSignalsAndSlots();
    public:
        PresenterView(PresenterModel* model, QWidget* parent = nullptr);
        ~PresenterView();

};